<script lang="ts">
    // Vous pouvez définir des variables ou des fonctions TypeScript ici
    let tftUrl: string = "https://teamfighttactics.leagueoflegends.com/";
  </script>
  
  <style>
    main {
      display: flex;
      flex-direction: column;
      align-items: center;
      padding: 2rem;
    }
  
    h1 {
      color: #0078d4;
      margin-bottom: 1rem;
    }
  
    p {
      max-width: 600px;
      text-align: center;
      margin-bottom: 2rem;
    }
  
    a {
      background-color: #0078d4;
      color: white;
      padding: 10px 20px;
      border-radius: 5px;
      text-decoration: none;
      transition: background-color 0.3s ease;
    }
  
    a:hover {
      background-color: #0056a3;
    }
  </style>
  
  <main>
    <h1>Bienvenue dans l'univers de Teamfight Tactics (TFT)</h1>
    <p>Teamfight Tactics est un jeu de bataille auto édité par Riot Games. Dans TFT, vous assemblez et améliorez une équipe de champions pour combattre contre sept adversaires dans une guerre de stratégie et de chance. Découvrez des combinaisons infinies et des stratégies captivantes pour revendiquer votre victoire sur le champ de bataille.</p>
    <a href="/familles">Découvrir les familles de champions</a>
    <a href="{tftUrl}" target="_blank">En savoir plus sur TFT</a>
  </main>
  